# $Revision: 1.21 $, $Date: 2012/01/23 19:45:34 $
# ToDo:
# - include tk-tag/tk-tag.pl or not? Maybe as a seperate package (more R:)?
#
# Conditional build:
%bcond_without	tests	# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	MP3
%define		pnam	Tag
#
Summary:	Module for reading/writing tags of MP3 audio files
Summary(pl.UTF-8):	Moduł do odczytywania/zapisywania znaczników z plików MP3
Name:		perl-MP3-Tag
Version:	1.13
Release:	2
License:	Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/%{pdir}/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	1eea17c9c8a03433634eb37fc16311d3
URL:		http://search.cpan.org/dist/MP3-Tag/
BuildRequires:	perl-ExtUtils-MakeMaker >= 6.21-3
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
Requires:	perl-Encode >= 2.44-2
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This is a Perl module to read/write ID3v1, ID3v1.1 and ID3v2.3 tags of
MP3 files. (Other tags hopefully to follow).

%description -l pl.UTF-8
Moduł Perla służący do odczytywania/zapisywania znaczników MP3 typu
ID3v1, ID3v1.1 oraz ID3v2.3 (inne znaczniki w przyszłości).

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor

%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

install -d $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}
cp -a examples/* $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}/

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes README.txt
%attr(755,root,root) %{_bindir}/audio_rename
%attr(755,root,root) %{_bindir}/mp3info2
%attr(755,root,root) %{_bindir}/typeset_audio_dir
%{perl_vendorlib}/Encode/transliterate_win1251.pm
%dir %{perl_vendorlib}/Normalize
%dir %{perl_vendorlib}/Normalize/Text
%{perl_vendorlib}/Normalize/Text/Music_Fields.pm
%{perl_vendorlib}/MP3/*.pm
%{perl_vendorlib}/MP3/Tag
%{_mandir}/man1/*
%{_mandir}/man3/*
%{_examplesdir}/%{name}-%{version}

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-MP3-Tag.spec,v $
Revision 1.21  2012/01/23 19:45:34  zbyniu
- dir %{perl_vendorlib}/Encode now in perl-Encode; rel 2

Revision 1.20  2012/01/13 13:04:06  zbyniu
- up to 1.13

Revision 1.19  2009/10/23 19:16:39  wiget
- removed empty ru description
- moved examples to correct dir
- release 3

LP#432625

Revision 1.18  2009/10/23 12:44:43  amateja
- added missing %dirs in %files section
- release 2

Revision 1.17  2009/09/17 07:06:51  amateja
- updated to 1.11

Revision 1.16  2008/07/27 22:44:01  arekm
- release 2

Revision 1.15  2008-06-13 06:07:57  paszczus
- updated to 0.9710 (by Paweł Żuk <redstorm15 at gmail dot com>, thanks

Revision 1.14  2007/02/13 07:47:12  glen
- tabs in preamble

Revision 1.13  2007/02/12 00:49:38  baggins
- converted to UTF-8

Revision 1.12  2004/12/01 17:40:39  radek
- autoupdated to 0.94

Revision 1.11  2004/11/03 22:30:31  paladine
- formatting

Revision 1.10  2004/10/28 10:49:17  paladine
- "MP3" unification

Revision 1.9  2004/09/12 14:31:03  adamg
- updated to 0.93

Revision 1.8  2004/06/05 20:26:53  radek
- massive: unfold macros in name/summary & other unifications

Revision 1.7  2004/06/02 09:53:07  radek
- BR: perl-ExtUtils-MakeMaker 6.21-3

Revision 1.6  2004/05/31 07:27:09  adamg
- fixed URL

Revision 1.5  2004/05/30 18:33:46  qboosh
- more specific URL

Revision 1.4  2004/05/30 13:08:04  adamg
- small typo in pl summary

Revision 1.3  2004/05/30 12:29:40  qboosh
- pl fixes, more readable file list

Revision 1.2  2004/05/30 09:18:29  adamg
- URL added, release 1

Revision 1.1  2004/05/30 08:34:26  adamg
- new
